Bug 980048 - Provide example configuration for HornetQ core bridge and JMS bridge
Provide example configuration for HornetQ core bridge and JMS bridge
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity urgent
: GA
: EAP 6.3.0
Assigned To: David Michael
Russell Dickenson
David Michael
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 06:12 EDT by Miroslav Novak
Modified: 2014-08-14 11:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.8 Build Name: 11865, Administration and Configuration Guide-6.1-3 Build Date: 23-05-2013 10:40:22
Last Closed: 2014-06-28 11:30:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Novak 2013-07-01 06:12:14 EDT
Title: About Bridges

Describe the issue:
There is missing example configuration for HornetQ core bridges and JMS bridges. There should be also described all configuration attributes. Description of the attributes can be find in CLI in messaging subsystem or documentation (configuration and parameter's names are a little different but description is the same):
http://docs.jboss.org/hornetq/2.3.0.Final/docs/user-manual/html_single/index.html#core-bridges
http://docs.jboss.org/hornetq/2.3.0.Final/docs/user-manual/html_single/index.html#jms-bridge


Example configuration for HornetQ core bridge:
 <bridges>
                    <bridge name="myBridge">
                        <queue-name>jms.queue.InQueue</queue-name>
                        <forwarding-address>jms.queue.OutQueue</forwarding-address>
                        <ha>true</ha>
                        <reconnect-attempts>-1</reconnect-attempts>
                        <use-duplicate-detection>true</use-duplicate-detection>
                        <static-connectors>
                            <connector-ref>
                                bridge-connector
                            </connector-ref>
                        </static-connectors>
                    </bridge>
                </bridges>

Example configuration for JMS bridge:
<subsystem xmlns="urn:jboss:domain:messaging:1.3">
             <hornetq-server>
             ...
             </hornetq-server>

             <jms-bridge name="myBridge">
                <source>
                    <connection-factory name="jms/RemoteConnectionFactory"/>
                    <destination name="jms/queue/InQueue"/>
                </source>
                <target>
                    <connection-factory name="jms/RemoteConnectionFactory"/>
                    <destination name="jms/queue/OutQueue"/>
                    <context>
                        <property key="java.naming.factory.initial" value="org.jboss.naming.remote.client.InitialContextFactory"/>
                        <property key="java.naming.provider.url" value="remote://192.168.40.1:4447"/>
                    </context>
                </target>
                <quality-of-service>AT_MOST_ONCE</quality-of-service>
                <failure-retry-interval>1000</failure-retry-interval>
                <max-retries>-1</max-retries>
                <max-batch-size>10</max-batch-size>
                <max-batch-time>100</max-batch-time>
                <add-messageID-in-header>true</add-messageID-in-header>
            </jms-bridge>
...
</subsystem>
Comment 7 Miroslav Novak 2014-06-05 08:31:10 EDT
Thanks a lot for adding this chapter! I can see just one thing which could be confusing - change all occurences of:

HornetQ JMS Bridge
to:
JMS Bridge
Comment 9 sgilda 2014-06-09 17:18:30 EDT
David, I'm not sure I see the changes from 'HornetQ JMS Bridge' to 'JMS Bridge' in the latest build. Can you confirm?
Comment 11 Martin Svehla 2014-06-16 07:09:35 EDT
Looks good now, thanks David
Comment 12 Miroslav Novak 2014-06-16 07:29:36 EDT
Hi David,

for some reason example configuration stopped working as it can't find "jms/RemoteConnectionFactory" specified in source. This is a bug which needs to be fixed. It works with "ConnectionFactory" which I would like to let document for now. Can you change:

                <source>
                    <connection-factory name="jms/RemoteConnectionFactory"/>
                    <destination name="jms/queue/InQueue"/>
                </source>

to:
                <source>
                    <connection-factory name="ConnectionFactory"/>
                    <destination name="jms/queue/InQueue"/>
                </source>

Thanks,
Mirek
Comment 15 Miroslav Novak 2014-06-20 03:07:21 EDT
Thanks David! Setting as verified!

Note You need to log in before you can comment on or make changes to this bug.